Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 739516 - dev-python/cython-0.29.21 fails test
Summary: dev-python/cython-0.29.21 fails test
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks: 808282
  Show dependency tree
 
Reported: 2020-08-29 17:52 UTC by Thomas Deutschmann
Modified: 2021-10-02 23:20 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log.gz,175.31 KB, application/x-gzip)
2020-08-29 17:52 UTC, Thomas Deutschmann
Details
build.log for 0.29.24 on sparc (dev-python_cython-0.29.24_use_gA5Tz.xz,552.13 KB, application/x-xz)
2021-09-02 20:28 UTC, Rolf Eike Beer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deutschmann gentoo-dev 2020-08-29 17:52:55 UTC
Created attachment 657396 [details]
build.log

> ======================================================================
> ERROR: runTest (__main__.CythonRunTestCase)
> compiling (c) and running numpy_test
> ----------------------------------------------------------------------
> Traceback (most recent call last):
>   File "runtests.py", line 1252, in run
>     ext_so_path = self.runCompileTest()
>   File "runtests.py", line 930, in runCompileTest
>     self.test_directory, self.expect_errors, self.expect_warnings, self.annotate)
>   File "runtests.py", line 1173, in compile
>     self._match_output(expected_errors, errors, tostderr)
>   File "runtests.py", line 1222, in _match_output
>     self.assertEqual(None, unexpected)
> AssertionError: None != "962:69: Cannot convert 'void *' to Python object"
> 
> 
> ======================================================================
> ERROR: runTest (__main__.CythonRunTestCase)
> compiling (cpp) and running numpy_test
> ----------------------------------------------------------------------
> Traceback (most recent call last):
>   File "runtests.py", line 1252, in run
>     ext_so_path = self.runCompileTest()
>   File "runtests.py", line 930, in runCompileTest
>     self.test_directory, self.expect_errors, self.expect_warnings, self.annotate)
>   File "runtests.py", line 1173, in compile
>     self._match_output(expected_errors, errors, tostderr)
>   File "runtests.py", line 1222, in _match_output
>     self.assertEqual(None, unexpected)
> AssertionError: None != "962:69: Cannot convert 'void *' to Python object"
> 
> ----------------------------------------------------------------------
> Ran 12223 tests in 3437.664s
> 
> FAILED (errors=2, skipped=60)
> Following tests excluded because of missing dependencies on your system:
>   Cython.Coverage
>   run.coverage_api
>   run.coverage_cmd
>   run.coverage_cmd_src_layout
>   run.coverage_installed_pkg
>   run.coverage_nogil
>   run.numpy_pythran
>   run.numpy_pythran_unit
>   TestCodeFormat
>


Portage 3.0.4 (python 3.7.8-final-0, default/linux/x86/17.0, gcc-9.3.0, glibc-2.31-r6, 5.4.60-gentoo-x86-kmod i686)
=================================================================
System uname: Linux-5.4.60-gentoo-x86-kmod-i686-with-gentoo-2.6
KiB Mem:     3106040 total,   1176648 free
KiB Swap:    8875836 total,   8875060 free
Timestamp of repository gentoo: Sat, 29 Aug 2020 12:35:28 +0000
Head commit of repository gentoo: 12379b5f47de6706ec7688be6d482aa64aa377aa

sh bash 5.0_p18
ld GNU ld (Gentoo 2.33.1 p2) 2.33.1
ccache version 3.7.11 [disabled]
app-shells/bash:          5.0_p18::gentoo
dev-lang/perl:            5.30.3::gentoo
dev-lang/python:          2.7.18-r1::gentoo, 3.6.11-r2::gentoo, 3.7.8-r2::gentoo, 3.8.5::gentoo
dev-util/ccache:          3.7.11::gentoo
dev-util/cmake:           3.16.5::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/openrc:          0.42.1::gentoo
sys-apps/sandbox:         2.18::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.16.1-r1::gentoo
sys-devel/binutils:       2.33.1-r1::gentoo
sys-devel/gcc:            9.3.0-r1::gentoo
sys-devel/gcc-config:     2.3.1::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 5.4-r1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.31-r6::gentoo

ABI="x86"
ABI_X86="32"
ACCEPT_KEYWORDS="x86"
Comment 1 Rolf Eike Beer archtester 2021-09-02 20:28:06 UTC
Created attachment 737191 [details]
build.log for 0.29.24 on sparc

======================================================================
ERROR: runTest (__main__.CythonRunTestCase)
compiling (cpp) and running cpp_stl_conversion
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/var/tmp/portage/dev-python/cython-0.29.24/work/cython-0.29.24/runtests.py", line 1257, in run
    ext_so_path = self.runCompileTest()
  File "/var/tmp/portage/dev-python/cython-0.29.24/work/cython-0.29.24/runtests.py", line 931, in runCompileTest
    return self.compile(
  File "/var/tmp/portage/dev-python/cython-0.29.24/work/cython-0.29.24/runtests.py", line 1178, in compile
    self._match_output(expected_errors, errors, tostderr)
  File "/var/tmp/portage/dev-python/cython-0.29.24/work/cython-0.29.24/runtests.py", line 1227, in _match_output
    self.assertEqual(None, unexpected)
AssertionError: None != "18:5: Unraisable exception in function 'cpp_stl_conversion.add_strings'."

----------------------------------------------------------------------
Ran 12252 tests in 61354.138s

FAILED (errors=1, skipped=70)
Following tests excluded because of missing dependencies on your system:
   Cython.Coverage
   run.coverage_api
   run.coverage_cmd
   run.coverage_cmd_src_layout
   run.coverage_installed_pkg
   run.coverage_nogil
   run.numpy_pythran
   run.numpy_pythran_unit
Comment 3 Larry the Git Cow gentoo-dev 2021-10-02 23:20:34 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=35c266ba8249c82cd3a15349e3e8697cf28fb1aa

commit 35c266ba8249c82cd3a15349e3e8697cf28fb1aa
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-10-02 23:20:14 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-10-02 23:20:14 +0000

    dev-python/cython: backport test warning (causing failure) patch
    
    Closes: https://bugs.gentoo.org/739516
    Signed-off-by: Sam James <sam@gentoo.org>

 dev-python/cython/cython-0.29.24-r1.ebuild           |  1 +
 .../files/cython-0.29.24-test-failure-warning.patch  | 20 ++++++++++++++++++++
 2 files changed, 21 insertions(+)